Bug 4476 - ставятся не все пакеты
: ставятся не все пакеты
Status: CLOSED WONTFIX
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/drakxtools)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 3459 4586
  Show dependency tree
 
Reported: 2004-06-23 18:25 by
Modified: 2008-02-15 18:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-23 18:25:54
ALM2.4.20040622
При установке были выбраны все группы пакетов. После установки:
$ ll /mnt/cdrom/ALTLinux/RPMS.1/|wc -l
950
$ rpm -qa|wc -l
636
------- Comment #1 From 2004-06-23 18:49:00 -------
имеет место быть.
жду списка категорий
------- Comment #2 From 2004-06-23 19:36:12 -------
По наличию на первом диске не проверял.

"маршрутизатор"

[+] настройка
iptables
ipsecadm
super-freeswan
iproute-cbq
iproute-htb
(iproute2, iputils и net-utils подразумеваются)

[+] диагностика
mtr
traceroute
tcpdump
trafshow
trafshow-linux
iptraf
ifstat
iftop
dlint
iptstate
iperf
nmap
p0f
arpwatch
telnet
netcat
sysstat
net-snmp-utils
openssh-clients
bind-utils

[+] оборудование
ethtool
ifplugd
minicom
mgetty
setserial
ide-smart
pciutils

[+] сервисы
zebra
ntpd
dhcp
tftp
pptpd
pptp-client
net-snmp
openssh-server
ppp

[+] разное
whois
finger
osec
lftp
less
------- Comment #3 From 2004-06-23 19:59:29 -------
Вопрос: а мы уверены в том, что всегда нужно ставить все пакеты?

Как минимум ядра (и ядерные пакеты) у нас ставятся по требованию.

На всякий случай делаю block на 3459, ибо список категорий все равно надо
править.
------- Comment #4 From 2004-06-23 20:05:16 -------
Но если я хочу поставить ВСЕ пакеты (с учётом конфликтующих), то кто мне может
помешать и зачем?
------- Comment #5 From 2004-06-28 09:15:14 -------
Попробовал тоже ставить ВСЕ пакеты в инсталляторе (выбрал все категории,
детально не смотрел). Поставилось тоже примерно на 300 пакетов меньше. Пробовал
просмотреть список - создалось впечатление, что НЕ поставились пакеты, которые
инсталлер посчитал, что мне не нужны ;) Точно не помню (дома ыло), но среди
непоставишихся пакетов ничего такого, что очень хотелось бы, чтобы поставилось,
не нашел.
Наверно, надо сделать кнопочку "ставить СОВСЕМ ВСЕ пакеты" ;) 
------- Comment #6 From 2004-07-01 17:16:54 -------
чесгря, не уверен я, что ставить СОВСЕМ ВСЕ пакеты -- правильно.
Впрочем, список пакетов изрядно расширен vs beta1
------- Comment #7 From 2004-07-01 17:34:27 -------
В некоторых ситуациях необходимо поставить именно СОВСЕМ ВСЕ (c) пакеты.
------- Comment #8 From 2004-07-01 17:44:58 -------
просто чтобы я не терялся в догадках: примерчик можно ?
имея ввиду, что список пакетов первого диска уже +- известен
------- Comment #9 From 2004-07-01 18:57:02 -------
Например, я могу поставить все пакеты, чтобы сгенерировать отчёт по ним или
иметь машину, на которой можно запустить locate, чтобы определить
принадлежность
незнакомой команды к нашему пакету.
------- Comment #10 From 2004-07-01 19:11:24 -------
мимо. для такого использования вовсе не обязательно
их ставить. Хорошо бы про случаи, когда по назначению :)
------- Comment #11 From 2004-07-02 02:16:39 -------
Можно поставить все, например, в ознакомительных целях.
А при нынешнихразмерах винчестеров новичек запросто может поставить все, чтоб
не
утруждать себя утомительным выбором.
------- Comment #12 From 2004-07-02 13:43:14 -------
(In reply to comment #2)
> По наличию на первом диске не проверял.
> 
> "маршрутизатор"
Это переезжает в #4586.
------- Comment #13 From 2004-07-07 15:08:43 -------
желающие поставить СОВСЕМ ВСЕ (с) пойдут и галочек наставят.
Некоторые участники обсуждения демонстрируют отеческую
заботу о пользователе в #4523, здесь же предлагают
облегчить процесс выстреливания в ногу насколько возможно.
С таким составом на первом диске -- это именно изуверская
перфорация ног. wontfix, прабачьце, шановние.
------- Comment #14 From 2004-07-07 15:16:15 -------
(In reply to comment #9)
> Например, я могу поставить все пакеты, чтобы сгенерировать отчёт по ним или
> иметь машину, на которой можно запустить locate, чтобы определить принадлежность
> незнакомой команды к нашему пакету.

Не, это ерунда (и не раз обсуждалось).  Цель уже не достигнута из-за
конфликтующих, и получается лучше задокументировать contents_index (положив на
последний диск?).

Отчет тоже как-то более вменяемо смотрится по репозиторию, а не системе со ВСЕМИ
пакетами -- в силу тех же Conflicts:
------- Comment #15 From 2004-07-07 15:21:00 -------
> Некоторые участники обсуждения демонстрируют отеческую
> заботу о пользователе в #4523, здесь же предлагают
Не о пользователе, а о системе. Впрочем, поступайте как знаете.
------- Comment #16 From 2008-02-15 18:43:04 -------
archiving